## visad
Class VisADTriangleArray

    java.lang.Object
      visad.VisADSceneGraphObject
          visad.VisADGeometryArray
              visad.VisADTriangleArray

All Implemented Interfaces:
  Cloneable, Serializable

public class VisADTriangleArray
extends VisADGeometryArray

VisADTriangleArray stands in for j3d.TrianlgeArray and is Serializable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.VisADGeometryArray
`any_longitude_rotate, colors, coordinates, longitude_axis, longitude_coords, longitude_cs, longitude_map, normals, texCoords, vertexCount, vertexFormat`

Fields inherited from class visad.VisADSceneGraphObject
`parent`

Constructor Summary
`VisADTriangleArray()`

Method Summary
`Object` `clone()` Clone this VisADTriangleArray
`static VisADTriangleArray` `merge(VisADTriangleArray[] arrays)` Merge an array of VisADTriangleArrays into a single VisADTriangleArray.

Methods inherited from class visad.VisADGeometryArray
`adjustLongitude, adjustLongitudeBulk, adjustSeam, byteArrayString, copy, floatArrayString, getLongitudeRange, getLongitudes, getLongitudes, merge, removeMissing, rotateLongitudes, rotateOneLongitude, toString`

Methods inherited from class visad.VisADSceneGraphObject
`detach`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VisADTriangleArray

    public VisADTriangleArray()

Method Detail

### clone

    public Object clone()

  Clone this VisADTriangleArray

  Specified by:
    `clone` in class `VisADGeometryArray`
  Returns:
    clone of this

### merge

    public static VisADTriangleArray merge(VisADTriangleArray[] arrays)
                                    throws VisADException

  Merge an array of VisADTriangleArrays into a single VisADTriangleArray.

  Parameters:
    `arrays` - array of VisADTriangleArrays (may be null)
  Returns:
    a single VisADTriangleArray with all the info of arrays. returns null if input is null.
  Throws:
    `VisADException`